Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.remote.rmi
Class RMIRemoteSessionControllerDispatcher_Stub

`java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteStub
oracle.toplink.remote.rmi.RMIRemoteSessionControllerDispatcher_Stub`

All Implemented Interfaces:
  java.rmi.Remote, RMIRemoteSessionController, java.io.Serializable

public final class RMIRemoteSessionControllerDispatcher_Stub
extends java.rmi.server.RemoteStub
implements RMIRemoteSessionController, java.rmi.Remote

See Also:
  Serialized Form

Constructor Summary
`RMIRemoteSessionControllerDispatcher_Stub(java.rmi.server.RemoteRef ref)`

Method Summary
`oracle.toplink.internal.remote.Transporter` | `beginTransaction()`
`oracle.toplink.internal.remote.Transporter` | `commitRootUnitOfWork(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `commitTransaction()` Commit a transaction on the database.
`oracle.toplink.internal.remote.Transporter` | `cursoredStreamClose(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `cursoredStreamNextPage(oracle.toplink.internal.remote.Transporter $param_Transporter_1, int $param_int_2)`
`oracle.toplink.internal.remote.Transporter` | `cursoredStreamSize(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `cursorSelectObjects(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `executeNamedQuery(oracle.toplink.internal.remote.Transporter $param_Transporter_1, oracle.toplink.internal.remote.Transporter $param_Transporter_2, oracle.toplink.internal.remote.Transporter $param_Transporter_3)`
`oracle.toplink.internal.remote.Transporter` | `executeQuery(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `getDefaultReadOnlyClasses()` To get the default read-only classes from the server side.
`oracle.toplink.internal.remote.Transporter` | `getDescriptor(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `getLogin()` To get login from the server side
`oracle.toplink.internal.remote.Transporter` | `getSequenceNumberNamed(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `initializeIdentityMapsOnServerSession()`
`oracle.toplink.internal.remote.Transporter` | `instantiateRemoteValueHolderOnServer(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `processCommand(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `rollbackTransaction()` Rollback a transaction on the database.
`oracle.toplink.internal.remote.Transporter` | `scrollableCursorAbsolute(oracle.toplink.internal.remote.Transporter $param_Transporter_1, int $param_int_2)`
`oracle.toplink.internal.remote.Transporter` | `scrollableCursorAfterLast(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `scrollableCursorBeforeFirst(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `scrollableCursorClose(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `scrollableCursorCurrentIndex(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `scrollableCursorFirst(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `scrollableCursorIsAfterLast(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `scrollableCursorIsBeforeFirst(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `scrollableCursorIsFirst(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `scrollableCursorIsLast(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `scrollableCursorLast(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `scrollableCursorNextObject(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `scrollableCursorPreviousObject(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`
`oracle.toplink.internal.remote.Transporter` | `scrollableCursorRelative(oracle.toplink.internal.remote.Transporter $param_Transporter_1, int $param_int_2)`
`oracle.toplink.internal.remote.Transporter` | `scrollableCursorSize(oracle.toplink.internal.remote.Transporter $param_Transporter_1)`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.toplink.remote.rmi.RMIRemoteSessionController
`commitRootUnitOfWork, cursoredStreamClose, cursoredStreamNextPage, cursorSelectObjects, executeNamedQuery, executeQuery, getDescriptor, instantiateRemoteValueHolderOnServer, scrollableCursorAbsolute, scrollableCursorAfterLast, scrollableCursorBeforeFirst, scrollableCursorClose, scrollableCursorCurrentIndex, scrollableCursorFirst, scrollableCursorIsAfterLast, scrollableCursorIsBeforeFirst, scrollableCursorIsFirst, scrollableCursorIsLast, scrollableCursorLast, scrollableCursorRelative`

Constructor Detail

### RMIRemoteSessionControllerDispatcher_Stub

    public RMIRemoteSessionControllerDispatcher_Stub(java.rmi.server.RemoteRef ref)

Method Detail

### beginTransaction

    public oracle.toplink.internal.remote.Transporter beginTransaction()
                                                                throws java.rmi.RemoteException

  Specified by:
    `beginTransaction` in interface `RMIRemoteSessionController`
  Throws:
    `java.rmi.RemoteException`

### commitRootUnitOfWork

    public oracle.toplink.internal.remote.Transporter commitRootUnitOfWork(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### commitTransaction

    public oracle.toplink.internal.remote.Transporter commitTransaction()
                                                                 throws java.rmi.RemoteException

  Description copied from interface: `RMIRemoteSessionController`
  Commit a transaction on the database.
  Specified by:
    `commitTransaction` in interface `RMIRemoteSessionController`
  Throws:
    `java.rmi.RemoteException`

### cursorSelectObjects

    public oracle.toplink.internal.remote.Transporter cursorSelectObjects(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### cursoredStreamClose

    public oracle.toplink.internal.remote.Transporter cursoredStreamClose(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### cursoredStreamNextPage

    public oracle.toplink.internal.remote.Transporter cursoredStreamNextPage(oracle.toplink.internal.remote.Transporter $param_Transporter_1,
                                                                             int $param_int_2)
                                                                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### cursoredStreamSize

    public oracle.toplink.internal.remote.Transporter cursoredStreamSize(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                                  throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### executeNamedQuery

    public oracle.toplink.internal.remote.Transporter executeNamedQuery(oracle.toplink.internal.remote.Transporter $param_Transporter_1,
                                                                        oracle.toplink.internal.remote.Transporter $param_Transporter_2,
                                                                        oracle.toplink.internal.remote.Transporter $param_Transporter_3)
                                                                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### executeQuery

    public oracle.toplink.internal.remote.Transporter executeQuery(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                            throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getDefaultReadOnlyClasses

    public oracle.toplink.internal.remote.Transporter getDefaultReadOnlyClasses()
                                                                         throws java.rmi.RemoteException

  Description copied from interface: `RMIRemoteSessionController`
  To get the default read-only classes from the server side.
  Specified by:
    `getDefaultReadOnlyClasses` in interface `RMIRemoteSessionController`
  Throws:
    `java.rmi.RemoteException`

### getDescriptor

    public oracle.toplink.internal.remote.Transporter getDescriptor(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getLogin

    public oracle.toplink.internal.remote.Transporter getLogin()
                                                        throws java.rmi.RemoteException

  Description copied from interface: `RMIRemoteSessionController`
  To get login from the server side
  Specified by:
    `getLogin` in interface `RMIRemoteSessionController`
  Throws:
    `java.rmi.RemoteException`

### getSequenceNumberNamed

    public oracle.toplink.internal.remote.Transporter getSequenceNumberNamed(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### initializeIdentityMapsOnServerSession

    public oracle.toplink.internal.remote.Transporter initializeIdentityMapsOnServerSession()
                                                                                     throws java.rmi.RemoteException

  Specified by:
    `initializeIdentityMapsOnServerSession` in interface `RMIRemoteSessionController`
  Throws:
    `java.rmi.RemoteException`

### instantiateRemoteValueHolderOnServer

    public oracle.toplink.internal.remote.Transporter instantiateRemoteValueHolderOnServer(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                                                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### processCommand

    public oracle.toplink.internal.remote.Transporter processCommand(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                              throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### rollbackTransaction

    public oracle.toplink.internal.remote.Transporter rollbackTransaction()
                                                                   throws java.rmi.RemoteException

  Description copied from interface: `RMIRemoteSessionController`
  Rollback a transaction on the database.
  Specified by:
    `rollbackTransaction` in interface `RMIRemoteSessionController`
  Throws:
    `java.rmi.RemoteException`

### scrollableCursorAbsolute

    public oracle.toplink.internal.remote.Transporter scrollableCursorAbsolute(oracle.toplink.internal.remote.Transporter $param_Transporter_1,
                                                                               int $param_int_2)
                                                                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### scrollableCursorAfterLast

    public oracle.toplink.internal.remote.Transporter scrollableCursorAfterLast(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                                         throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### scrollableCursorBeforeFirst

    public oracle.toplink.internal.remote.Transporter scrollableCursorBeforeFirst(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                                           throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### scrollableCursorClose

    public oracle.toplink.internal.remote.Transporter scrollableCursorClose(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### scrollableCursorCurrentIndex

    public oracle.toplink.internal.remote.Transporter scrollableCursorCurrentIndex(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                                            throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### scrollableCursorFirst

    public oracle.toplink.internal.remote.Transporter scrollableCursorFirst(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### scrollableCursorIsAfterLast

    public oracle.toplink.internal.remote.Transporter scrollableCursorIsAfterLast(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                                           throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### scrollableCursorIsBeforeFirst

    public oracle.toplink.internal.remote.Transporter scrollableCursorIsBeforeFirst(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                                             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### scrollableCursorIsFirst

    public oracle.toplink.internal.remote.Transporter scrollableCursorIsFirst(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### scrollableCursorIsLast

    public oracle.toplink.internal.remote.Transporter scrollableCursorIsLast(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### scrollableCursorLast

    public oracle.toplink.internal.remote.Transporter scrollableCursorLast(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### scrollableCursorNextObject

    public oracle.toplink.internal.remote.Transporter scrollableCursorNextObject(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                                          throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### scrollableCursorPreviousObject

    public oracle.toplink.internal.remote.Transporter scrollableCursorPreviousObject(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                                              throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### scrollableCursorRelative

    public oracle.toplink.internal.remote.Transporter scrollableCursorRelative(oracle.toplink.internal.remote.Transporter $param_Transporter_1,
                                                                               int $param_int_2)
                                                                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### scrollableCursorSize

    public oracle.toplink.internal.remote.Transporter scrollableCursorSize(oracle.toplink.internal.remote.Transporter $param_Transporter_1)
                                                                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD